<?php

namespace App\Http\Requests\DataEntry;

use Illuminate\Foundation\Http\FormRequest;

class OfflineImportRequest extends FormRequest
{
    public function authorize()
    {
        return auth()->check();
    }

    public function rules()
    {
        return [
            'offline_file' => ['required', 'file', 'mimes:xlsx,xls,csv,txt', 'max:10240'],
            'mode' => ['required', 'in:validate_only,import'],
        ];
    }
}
